> For the complete documentation index, see [llms.txt](https://docs.guibo.travel/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guibo.travel/developers/content-api/content-or-4.-geodata-properties.md).

# Content | 4. Geodata properties

Updating properties for Routes and POIs

The following properties are identical for Routes and POIs

### A) Update Custom ID

To set or update the customID you need the GUIBO ID of the Asset.

This example updates the POI with GUIBO ID "<mark style="color:orange;">pppppp</mark>" .

* Replace <mark style="color:orange;">pppppp</mark> with the ID, you can find it in the Edit Route/Edit POI > Metadata section.&#x20;
* Replace <mark style="color:orange;">xxxxxx-xxxxxx-xxxxxx-xxxxxx</mark> with the API key, you can find this in Account Settings > General Settings > API Key

```json
curl --location --request PATCH 'https://services.schneidergeo.com/content/geodata/pppppp/customid' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json' \
  --data-raw '
  {"value":"PALI242"}
  '
```

### B) Updating Tags

To add or remove a tag you need the GUIBO ID of the Asset and the ID of the tag.

This example updates the POI with GUIBO ID "<mark style="color:orange;">pppppp</mark>" .

* Replace <mark style="color:orange;">pppppp</mark> with the ID, you can find it in the Edit Route/Edit POI > Metadata section.&#x20;
* Replace <mark style="color:orange;">aaaaaa</mark> with the Account ID
* Replace <mark style="color:orange;">tttttt</mark> with the ID of the tag
* Replace <mark style="color:orange;">xxxxxx-xxxxxx-xxxxxx-xxxxxx</mark> with the API key, you can find this in Account Settings > General Settings > API Key

**List Tags**

```shellscript
curl --location 'https://services.schneidergeo.com/content/account/aaaaaa/tags' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx'
```

**Create Tag**

```shellscript
curl --location --request POST  'https://services.schneidergeo.com/content/tag/aaaaaa' \
  --header 'Content-Type: application/json' \
  --header  'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --data-raw '
   {"names":{"de":"Historisches","en":"Historic"},"sorting":0}
   '
```

**Add Tag to Geoasset**

```shellscript
curl --location --request PATCH 'https://services.schneidergeo.com/content/geodata/pppppp/tag' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json' \
  --data-raw '
  {"value":"tttttt"}
  '
```

**Remove Tag from Geoasset**

```shellscript
curl --location --request DELETE 'https://services.schneidergeo.com/content/geodata/pppppp/tag/tttttt' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json'

```

### C) Move asset to new category

To move Route or POI to a different category/stage you need the GUIBO ID of the Asset

This example moves the POI with GUIBO ID "<mark style="color:orange;">pppppp</mark>" to the category with GUIBO ID "<mark style="color:orange;">cccccc</mark>"

* Replace <mark style="color:orange;">pppppp</mark> with the ID, you can find it in the Edit Route/Edit POI > Metadata section.&#x20;
* Replace <mark style="color:orange;">cccccc</mark> with the ID of the category
* Replace <mark style="color:orange;">xxxxxx-xxxxxx-xxxxxx-xxxxxx</mark> with the API key, you can find this in Account Settings > General Settings > API Key

```shellscript
curl --location --request PATCH 'https://services.schneidergeo.com/content/geodata/asset/pppppp/category/cccccc' \
  --header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
  --header 'Content-Type: application/json'
```

### D) Add image&#x20;

You can add images of type JPEG or PNG to POIs or Routes

```shellscript
curl --location 'https://service.schneidergeo.com/content/geodata/asset/{account}/{customId}/image' \
--header 'Authorization:  xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--form 'files=@"/Users/linus/images/poi_image.jpg"'
```

### E) Remove all images

```shellscript
curl --location --request DELETE 'https://service.schneidergeo.com/content/geodata/asset/{account}/{customId}/images'  \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx''
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.guibo.travel/developers/content-api/content-or-4.-geodata-properties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
